# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Kwiki/CGI.pm) perl(Kwiki/Installer.pm) perl(Kwiki/Plugin.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
%filter_from_requires /^perl.mixin.pm./d
Name:           perl-Kwiki-Diff
Version:        0.03
Release:        alt1_20
Summary:        Display differences between the current wiki page and older revisions
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Kwiki-Diff/
Source0:        http://www.cpan.org/authors/id/I/IA/IAN/Kwiki-Diff-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Algorithm/Diff.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(IO/All.pm)
BuildRequires:  perl(Kwiki.pm)
BuildRequires:  perl(Kwiki/Revisions.pm)
BuildRequires:  perl(Spiffy.pm)
BuildRequires:  perl(Test/More.pm)
# For improved tests
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(Test/Pod.pm)
Requires:       perl(Algorithm/Diff.pm) >= 1.18
Requires:       perl(Kwiki.pm) >= 0.34
Requires:       perl(Kwiki/Revisions.pm) >= 0.12
Requires:       perl(Spiffy.pm) >= 0.22
Source44: import.info

%description
Kwiki Diff plugin.

%prep
%setup -q -n Kwiki-Diff-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
rm -f debug*.list
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1_20
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1_19
- update to new release by fcimport

* Tue May 29 2012 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1_17
- fc import

